## SYNOPSIS

           df [OPTION]... [FILE]...

## DESCRIPTION

           This manual page documents the GNU version of df.  df dis
           plays the amount of disk space available on the filesystem
           containing  each  file  name argument.  If no file name is
           given,  the  space  available  on  all  currently  mounted
           filesystems is shown.  Disk space is shown in 1K blocks by
           default, unless the environment  variable  POSIXLY_CORRECT
           is set, in which case 512-byte blocks are used.

           If  an argument is the absolute file name of a disk device
           node containing a mounted filesystem, df shows  the  space
           available on that filesystem rather than on the filesystem
           containing the device  node  (which  is  always  the  root
           filesystem).   This  version  of  df cannot show the space
           available on unmounted filesystems, because on most  kinds
           of  systems  doing  so  requires very nonportable intimate
           knowledge of filesystem structures.

## OPTIONS

           Show information about the filesystem on which  each  FILE
           resides, or all filesystems by default.

           Mandatory  arguments  to  long  options  are mandatory for
           short options too.

           -a, --all
                  include filesystems having 0 blocks

           -B, --block-size=SIZE use SIZE-byte blocks

           -h, --human-readable
                  print sizes in human readable format (e.g., 1K 234M
                  2G)

           -H, --si
                  likewise, but use powers of 1000 not 1024

           -i, --inodes
                  list inode information instead of block usage

           -k     like --block-size=1K

           -l, --local
                  limit listing to local filesystems

           --no-sync
                  do  not  invoke  sync  before  getting  usage  info
                  (default)

           -v     (ignored)

           --help display this help and exit

           --version
                  output version information and exit

           SIZE may be (or may be an integer optionally followed  by)
           one  of  following:  kB  1000,  K  1024,  MB  1,000,000, M
           1,048,576, and so on for G, T, P, E, Z, Y.

## AUTHOR

           Written  by  Torbjorn  Granlund,  David  MacKenzie,  Larry
           McVoy, and Paul Eggert.

## REPORTING BUGS

           Report bugs to <bug-coreutils@gnu.org>.

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The  full  documentation for df is maintained as a Texinfo
           manual.   If  the  info  and  df  programs  are   properly
           installed at your site, the command

                  info df

           should give you access to the complete manual.

    df (coreutils) 4.5.8      February 2003                     DF(1)